#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GraphViz
Summary:	GraphViz Perl module - interface to the GraphViz graphing tool
Summary(pl.UTF-8):	Moduł Perla GraphViz - interfejs do narzędzia grafowego GraphViz
Name:		perl-GraphViz
Version:	2.24
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GraphViz/%{pdir}-%{version}.tgz
# Source0-md5:	b57b32444e73d24cf9c374bf38bad699
Patch0:		%{name}-path.patch
URL:		http://search.cpan.org/dist/GraphViz/
%if %{with tests}
BuildRequires:	graphviz
%endif
BuildRequires:	perl-Graph
BuildRequires:	perl-IPC-Run >= 0.6
BuildRequires:	perl-Math-Bezier
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	graphviz
Requires:	perl-IPC-Run >= 0.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# needed only for GraphViz::XML
%define		_noautoreq	'perl(XML::Twig)'

%description
This modules provides an interface to layout and generate images of
directed graphs in a variety of formats (PostScript, PNG, etc.) using
the "dot" and "neato" programs from the GraphViz project.

%description -l pl.UTF-8
Ten moduł udostępnia interfejs do planowania i generowania obrazów
skierowanych grafów w różnych formatach (PostScript, PNG itd.) przy
użyciu programów "dot" i "neato" z projektu GraphViz.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Devel/*.pm
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.graphviz
%{_examplesdir}/%{name}-%{version}/*.output
%{_examplesdir}/%{name}-%{version}/*.out
%{_examplesdir}/%{name}-%{version}/README
%changelog
* Wed Sep 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GraphViz.git;a=log;h=master

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 3147ad5
- up to 2.24

* Wed Jun 24 2009 amateja <amateja@pld-linux.org> 7584c80
- updated to 2.04

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 6b77020
- generic URL

* Mon Mar 26 2007 radek <radek@pld-linux.org> ecfe728
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e9f9cfd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1e1faad
- converted to UTF-8

* Mon Jun 26 2006 maciek2w <maciek2w@pld-linux.org> ffcec7e
- updated to 2.02

* Wed Dec 01 2004 radek <radek@pld-linux.org> fccd739
- version 2.01

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8152ee5
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 2a5a07e
- release 3

* Sat Jun 05 2004 radek <radek@pld-linux.org> b5b8672
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Mon May 10 2004 ankry <ankry@pld-linux.org> 0e11f96
- typo

* Fri May 07 2004 ankry <ankry@pld-linux.org> 1b4a5cf
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 32fc1bd
- fixed perl-devel BR

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> 71c891a
- license fixes/unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 8ef54fa
- ported to new bconds

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 4489681
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jul 24 2003 Adam Gołębiowski <adamg@pld-linux.org> 0605f96
- initial import

* Thu Jul 24 2003 Adam Gołębiowski <adamg@pld-linux.org> 1c3c002
- added -path patch (removes dependecy for /usr/local/bin/perl)

* Tue Jun 10 2003 Jakub Bogusz <qboosh@pld-linux.org> cd9ba7a
- BR: perl-Parse-RecDescent

